function [ num_samples ] = num_samples(text, T_b, T_s)
% Function that calculates the lesser ammount of samples that must be used
% to encoded the given text with period of bit T_b and Period of sampling
% T_s
% [ num_samples ] = num_samples(text, T_b, T_s)
%
% Arguments:
%   text: a char array with the text for encoding
%   T_b:  Period of each bit's transmition
%   T_s:  period of sampling

% the length of the the text represented with bits in ascii code (each
% character in ascii is represented with a byte)
M = length(text) * 8;

% the total number of samples that must be used for the signal to transmit
% a bit
num_samples_per_bit = ceil(T_b / T_s);

% the total number of samples that must be used for the signal to
% transmit the text
num_samples = M * num_samples_per_bit;

end

