function [ phi_l ] = phi_l(l, t, f, T_b, E_b)
% PHI_L Function
% [ phi_l ] = phi_l(l, t, f, T_b, E_b)
%
% Arguments:
%   l:   the value of the current bit (0 or 1)
%   t:   time
%   f:   array with length 2 that keeps the frequences of the sines
%   T_b: Period of each bit's transmition
%   E_b: Energy of signal for each bit


% calculation of phi_l from the function that is given from the exercise
if ( (l == 0) | (l==1) )
    phi_l = sqrt(2 * E_b / T_b) * cos(2 * pi * f(l + 1, 1) * t);
else
    phi_l = 0;
end
    
end

